import { createConverter } from './converter';
import { defineModule } from './module';
/**
 * Creates the Pilet API extensions for Angular.
 */
export function createNgApi(config = {}) {
    return (context) => {
        const convert = createConverter(config);
        context.converters.ng = ({ component }) => convert(component);
        return {
            NgExtension: convert.Extension,
            defineNgModule: defineModule,
            fromNg(component) {
                return {
                    type: 'ng',
                    component,
                };
            },
        };
    };
}
//# sourceMappingURL=create.js.map