"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNgApi = void 0;
const converter_1 = require("./converter");
const module_1 = require("./module");
/**
 * Creates the Pilet API extensions for Angular.
 */
function createNgApi(config = {}) {
    return (context) => {
        const convert = (0, converter_1.createConverter)(config);
        context.converters.ng = ({ component }) => convert(component);
        return {
            NgExtension: convert.Extension,
            defineNgModule: module_1.defineModule,
            fromNg(component) {
                return {
                    type: 'ng',
                    component,
                };
            },
        };
    };
}
exports.createNgApi = createNgApi;
//# sourceMappingURL=create.js.map