"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findComponents = exports.hasSelector = exports.getAnnotations = exports.getMinVersion = exports.getNgVersion = exports.getId = void 0;
const core_1 = require("@angular/core");
function getId() {
    return Math.random().toString(36);
}
exports.getId = getId;
function getNgVersion() {
    return core_1.VERSION.major || core_1.VERSION.full.split('.')[0];
}
exports.getNgVersion = getNgVersion;
function getMinVersion() {
    const major = getNgVersion();
    return `${major}.0.0`;
}
exports.getMinVersion = getMinVersion;
function getAnnotations(component) {
    let annotations = component?.__annotations__;
    if (!annotations && typeof Reflect !== 'undefined' && 'getOwnMetadata' in Reflect) {
        annotations = Reflect.getOwnMetadata('annotations', component);
    }
    if (!annotations && typeof component.ɵcmp !== 'undefined') {
        annotations = [{}];
    }
    if (!annotations && typeof component.ɵmod !== 'undefined') {
        annotations = [component.ɵmod];
    }
    return annotations || [];
}
exports.getAnnotations = getAnnotations;
function hasSelector(component, selector) {
    const [annotation] = getAnnotations(component);
    return annotation && annotation.selector === selector;
}
exports.hasSelector = hasSelector;
function findComponents(exports) {
    const components = [];
    if (Array.isArray(exports)) {
        for (const ex of exports) {
            const [annotation] = getAnnotations(ex);
            if (annotation) {
                if (annotation.exports) {
                    components.push(...findComponents(annotation.exports));
                }
                else if (!annotation.imports || annotation.standalone) {
                    components.push(ex);
                }
            }
        }
    }
    return components;
}
exports.findComponents = findComponents;
//# sourceMappingURL=utils.js.map